%define		php_name	php%{?php_suffix}
%define		modname	archive
%define		status		beta
Summary:	%{modname} - manipulate tar/cpio archives
Summary(pl.UTF-8):	%{modname} - obróbka archiwów tar/cpio
Name:		%{php_name}-pecl-%{modname}
Version:	0.2
Release:	15
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	1b121440b2c460b2a1af46e31f23e46e
Patch0:		php-pecl-%{modname}-php52.patch
URL:		http://pecl.php.net/package/archive/
BuildRequires:	%{php_name}-devel >= 3:5.0.0
BuildRequires:	libarchive-devel
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires:	php(core) >= 5.0.4
Obsoletes:	php-pear-%{modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
archive extension allows to read and write tar and cpio archives using
libarchive.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Rozszerzenie archive pozwala na odczyt i zapis archiwów tar oraz cpio
przy użyciu biblioteki libarchive.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .
%patch0 -p0

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}
install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc API.txt CREDITS tests
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sun Jul 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-archive.git;a=log;h=master

* Sun Jul 07 2013 Jan Rękorajski <baggins@pld-linux.org> 1009ed3
- release 15 (by relup.sh)

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 64b5a3d
- support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> bd13b4d
- use php(core) as dependency to require php version
- release 13 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> c316267
- release 13 (by relup.sh)

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> fd8bdb5
- release 12

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> faa9eaa
- release 11

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> b248ea5
- release 10

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> 3947924
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Thu Aug 14 2008 Elan Ruusamäe <glen@pld-linux.org> d2100ad
- rebuild with libarchive on ac; rel 9

* Sun Nov 18 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> f0a9ab8
- rel 8

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> d82b426
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b95c4ef
- converted to UTF-8

* Tue Dec 26 2006 Adam Gołębiowski <adamg@pld-linux.org> 4ee8fb8
- new

* Tue Dec 26 2006 Adam Gołębiowski <adamg@pld-linux.org> 777dd0c
- fix build on php-5.2

* Thu Dec 14 2006 Elan Ruusamäe <glen@pld-linux.org> 7ef0fd5
- use new php extension related macros

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 7580fc6
- BR rpmmacros for fixed %requires_php_extension

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> bfea6c8
- rel 6 (rebuild with new php)

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> 0b9d292
- rel 5

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> 539d571
- rebuild with zts and debug requires

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> 493dade
- workaround for spec parser having macro undefined yet and not seeing BR

